package com.schbrain.canal.client.annotation;

import org.springframework.core.annotation.AliasFor;
import org.springframework.stereotype.Component;

import java.lang.annotation.*;

@Component
@Documented
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface CanalEventListener {

    /**
     * bean name
     */
    @AliasFor(annotation = Component.class)
    String value() default "";

}
