package com.schbrain.canal.client.conf;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * Canal配置
 *
 * @author zhuyf
 * @since 2022/6/16
 */
@Data
@ConfigurationProperties(prefix = "canal.client")
public class SchbrainCanalConfig {

    /**
     * instance config
     */
    private Map<String, CanalClientConfig> instances = new LinkedHashMap<>();

}
