package com.schbrain.canal.client.utils;

import com.google.common.base.CaseFormat;

import java.util.concurrent.ConcurrentHashMap;

public class MapUnderscoreToCamelCase {

    private static ConcurrentHashMap<String,String> names=new ConcurrentHashMap<>();

    public static String convertByCache(String name){
        if(names.containsKey(name)) {
          return names.get(name);
        }
        String convertName= CaseFormat.LOWER_UNDERSCORE.to(CaseFormat.LOWER_CAMEL, name);
        names.put(name,convertName);
        return convertName;
    }
}
