package com.schbrain.canal.client.test;

import org.springframework.expression.Expression;
import org.springframework.expression.ExpressionParser;
import org.springframework.expression.spel.standard.SpelExpressionParser;

public class Test {

    public static void main(String[] args) {



        ExpressionParser parser = new SpelExpressionParser();
        Expression exp = parser.parseExpression("'Hello World'");
        String message = (String) exp.getValue();
        System.out.println(message);
        assert message.equals("Hello World");
        exp = parser.parseExpression("'Hello World'.concat('!')");
        message = (String) exp.getValue();
        System.out.println(message);
        assert message.equals("Hello World!");
        exp = parser.parseExpression("'Hello World'.bytes.length");
        assert exp.getValue().equals(11);
    }
}
